Index: /extensions/cuise/admin/admin.inc.php
===================================================================
--- /extensions/cuise/admin/admin.inc.php	(revision 19989)
+++ /extensions/cuise/admin/admin.inc.php	(revision 19990)
@@ -36,5 +36,8 @@
 			   );
 			   
-    
+    $tabsheet->add( 'test',
+                l10n('test'),
+                $my_base_url.'&amp;tab=test'
+			   );
 			   
 	if (!isset($_GET['tab']))
@@ -69,6 +72,6 @@
       $FileCombiner = new  FileCombiner("tpl") ;
       $FileCombiner::clear_combined_files();
-    //  array_push($page['infos'],l10n('parent') . ":" . $_POST['compiled-templates']);
-      array_push($page['infos'], l10n('delete_compiled'));
+       array_push($page['infos'],l10n('parent') . ":" . $_POST['compiled-templates']);
+    //  array_push($page['infos'], l10n('delete_compiled'));
       $parent=$_POST['compiled-templates'];
       $save_options=true ;
@@ -80,35 +83,35 @@
 }
  $id=0;
-
-
+ $name_tpl = array("fondBG","fondBp","Menu_bar","thumbnail","Header" );
+$params = array_merge(unserialize($conf['cuise']));
 if (isset($_POST['default']) || !isset($params['chk_cuise_0'])   ){
  
   $params['parent']=  $parent ;
    $params['theme']=  'cuise' ;
-  $name=array("cbmt.gif","bpv.png","bp3.jpg","bph.png","header.png");
+  $name_img=array("cbmt.gif","bpv.png","bp3.jpg","bph.png","header.png");
   for($id=0;$id<$nb_template;$id++){
-  $params  = array_merge($params,array( 			
-						"bg_cuise_$id"			=> '#FFA800',
-						"bgho_cuise_$id"			=> '#0072FF',
-						"bd_cuise_$id"			=> '#4F4F4F',
-						"co_cuise_$id"		  => '#4F4F4F',
-            "coho_cuise_$id"		  => '#F4F4F4',
-            "img_cuise_$id"    =>   $name[$id],
-            "rayon_cuise_$id"    => '8px',
-            "chk_cuise_$id"      => '',
-            "chk_cuise_x_$id"      => '',
-            "chk_cuise_y_$id"      => '',
+        $params  = array_merge($params,array( 			
+						"bg_cuise_$id"			  => '#d4d4d4',
+						"bgho_cuise_$id"			=> '#A0A0A0',
+						"bd_cuise_$id"			  => '#4F4F4F',
+						"bdho_cuise_$id"			=> '#4F4F4F',
+            "bd_width_cuise_$id"	=> '0px',
+						"co_cuise_$id"		    => '#4F4F4F',
+            "coho_cuise_$id"		  => '#5f5f5f',
+            "img_cuise_$id"       => $name_img[$id],
+            "chk_cuise_x_$id"     => 'checked',
+            "chk_cuise_y_$id"     => '',
+            "rayon_cuise_$id"     => '8px',
+            "chk_cuise_$id"    => ''
            
             ));
             }
             $id=0;
-    array_push($page['warnings'], cl_print_var($params));
+   // array_push($page['warnings'], cl_print_var($params));
        $save_options=true ;
 
 }
-$params = array_merge(unserialize($conf['cuise']));
-
-
 if ($save_options==true) {
+// array_push($page['warnings'],  print_r($_POST,true));
   $i="0";  
   $New_params=array();
@@ -123,9 +126,11 @@
             "bgho_cuise_$i"			=> isset($_POST["bgho_cuise_$i"])?$_POST["bgho_cuise_$i"]:$params["bgho_cuise_$i"], 
 					  "bd_cuise_$i"			=> isset($_POST["bd_cuise_$i"])?$_POST["bd_cuise_$i"]:$params["bd_cuise_$i"], 
+						"bdho_cuise_$id"			=> isset($_POST["bdho_cuise_$i"])?$_POST["bdho_cuise_$i"]:$params["bdho_cuise_$i"], 
+            "bd_width_cuise_$id"	=> isset($_POST["bd_width_cuise_$i"])?$_POST["bd_width_cuise_$i"]:$params["bd_width_cuise_$i"], 
 					  "co_cuise_$i"		 => isset($_POST["co_cuise_$i"])?$_POST["co_cuise_$i"]:$params["co_cuise_$i"], 
 					  "coho_cuise_$i"		 => isset($_POST["coho_cuise_$i"])?$_POST["coho_cuise_$i"]:$params["coho_cuise_$i"], 
             "img_cuise_$i"    =>$img_src, 
             "rayon_cuise_$i"    => isset($_POST["rayon_cuise_$i"])?$_POST["rayon_cuise_$i"]:$params["rayon_cuise_$i"],    
-            "chk_cuise_$i"    => isset($_POST["chk_cuise_$i"])?"checked":"no",  
+            "chk_cuise_$i"      => isset($_POST["chk_cuise_$i"])?"checked":"no",  
             "chk_cuise_x_$i"    => isset($_POST["chk_cuise_x_$i"])?"checked":"no",       
             "chk_cuise_y_$i"    => isset($_POST["chk_cuise_y_$i"])?"checked":"no",      
@@ -141,5 +146,5 @@
   ));
   
-// array_push($page['warnings'],  print_r($params,true));
+//
   conf_update_param('cuise', pwg_db_real_escape_string(serialize($params)));
   array_push($page['infos'], l10n('Your configuration settings are saved'));
@@ -154,5 +159,5 @@
 $params = array_merge(unserialize($conf['cuise']));
 
-$name_tpl = array("fondBG","fondBp","fondHoriz","fondVert","Header" );
+
 
 
@@ -169,27 +174,36 @@
  
   get_list_theme();
-
-
+  $arguments="";
+   foreach ($params as $key => $value) {  
+  $value = str_replace("#", "_", $value);
+  
+  $arguments .=  "$key=$value&";
+  }
+  $arguments .="redraw=ok";
 $template->assign(array(
-             'root' => PHPWG_ROOT_PATH,
-            'theme' => PHPWG_THEME_PATH,
-             "classeRoot" =>  PHPWG_THEMES_PATH.'cuise/admin/classes/' ,
-            'parent'		=> $parent,
+            'THEME_CUISE_ABS'       => realpath(PHPWG_THEMES_PATH.'cuise/admin/'),
+            'root'                  => PHPWG_ROOT_PATH,
+            'theme'                 => PHPWG_THEME_PATH,
+             "classeRoot"           => PHPWG_THEMES_PATH.'cuise/admin/classes/' ,
+            'parent'		            => $parent,
              
-            'nb_template' => $nb_template,
-            'ind'			=> $id,
-            'name_tpl'			=> $name_tpl,
+            'nb_template'           => $nb_template,
+            'ind'			              => $id,
+            'name_tpl'			        => $name_tpl,
 						'selected_bg_cuise'			=> $params['bg_cuise_'.$id],
-            'selected_bgho_cuise'			=> $params['bgho_cuise_'.$id],
+            'selected_bgho_cuise'		=> $params['bgho_cuise_'.$id],
 						'selected_bd_cuise'			=> $params['bd_cuise_'.$id],
-						'selected_co_cuise'		=> $params['co_cuise_'.$id],
+            'selected_bdho_cuise'			=> $params['bdho_cuise_'.$id],
+            'selected_bd_width_cuise'			=> $params['bd_width_cuise_'.$id],
+
+						'selected_co_cuise'		  => $params['co_cuise_'.$id],
             'selected_coho_cuise'		=> $params['coho_cuise_'.$id],
             'selected_img_cuise'		=> $params['img_cuise_'.$id],
-'selected_x_cuise'		=> $params['chk_cuise_x_'.$id],
-'selected_y_cuise'		=> $params['chk_cuise_y_'.$id],
-            'selected_rayon_cuise'		=> $params['rayon_cuise_'.$id],
-
+            'selected_rayon_cuise'	=> $params['rayon_cuise_'.$id],
+
+            'selected_chk_x_cuise'	=> ($params['chk_cuise_x_'.$id]=="checked")?"checked":"",
+            'selected_chk_y_cuise'	=> ($params['chk_cuise_y_'.$id]=="checked")?"checked":"",
             'selected_chk_cuise'		=> ($params['chk_cuise_'.$id]=="checked")?"checked":"",
-            'params'		=> pwg_db_real_escape_string(serialize($params)),
+            'params'		=>   $arguments  
 
 						));
@@ -222,11 +236,11 @@
     }
   $arguments = $conf['cuise'];
-
+  
 $Css =css($theme_css); 
-
+ 
 $message  =$theme_css."<br>";
-//$message .= cl_print_var($Css)."<br>";
+$message .= cl_print_var($Css)."<br>";
 //$message .= cl_print_var($BGIMGcss)."<br>";
-$message .= cl_print_var($BGcolcss)."<br>";
+//$message .= cl_print_var($BGcolcss)."<br>";
 
    array_push($page['infos'], $message);
@@ -244,5 +258,8 @@
   $template->assign_var_from_handle('ADMIN_CONTENT', 'theme_admin_content');
   break ;
-
+  case 'test':
+  $template->set_filenames(array('theme_admin_content' => dirname(__FILE__) . '/cuise_test.tpl'));
+  $template->assign_var_from_handle('ADMIN_CONTENT', 'theme_admin_content');
+  break ;
 }
 
@@ -279,5 +296,5 @@
     $replace = array('}|' ,''      ,''            ,''    ,''    ,''         );
   $string = preg_replace($order, $replace,$string); 
-  echo  ($string)."<br>"; 
+ 
     //  $string = preg_replace('#/\*.*?\*/#s',"",$string); 
        return $string;
@@ -285,8 +302,8 @@
     
  $ret =   file_get_contents ($mycssfile);  
-   echo $ret;
+ //  echo $ret;
 
   $string= remove_comments( $ret);
- echo  ($string);   
+// echo  ($string);   
 
     $newstr = explode('|',$ret);
@@ -305,5 +322,5 @@
 
    if($value){
-echo $value."<br>";
+ 
       $css2=Array();
       $key = explode("{",$value); 
@@ -327,5 +344,5 @@
                 if(preg_match("/url/",$key2[1])){
                    $head = preg_replace("#(.*)url.(.*?)\)(.*)#is", '$2', $key2[1]);   
-                   echo  $head." ".$key2[0]." ".$key_id."<br>";
+                   
                     $BGIMGcss[$head]=array_merge(array(
                     "head" => $head,
@@ -336,5 +353,5 @@
                   }elseif(preg_match("/(color)/",$key2[0])){ 
                       $head = preg_replace("#(.*)color.(.*?);(.*)#is", '$2', $key2[1]);
-                      echo  $head." ".$key2[0]." ".$key_id."<br>";
+                    
                      
                    $BGcolcss[$head]=array_merge(array(
@@ -355,6 +372,5 @@
      }   
 }
-echo cl_print_var($css);
-die();
+ 
              return $css;
         }
Index: /extensions/cuise/admin/classes/process.php
===================================================================
--- /extensions/cuise/admin/classes/process.php	(revision 19989)
+++ /extensions/cuise/admin/classes/process.php	(revision 19990)
@@ -45,5 +45,5 @@
   	    'thumbnail_dir'=>$root_img ,
 		    'thumbnail_url'=>$root_img ,
-		    'thumbnail_dimension'=>array("max_width"=>120,"max_height"=>120)		
+		    'thumbnail_dimension'=>array("max_width"=>940,"max_height"=>200)		
    		
 		);
Index: /extensions/cuise/admin/cuise_admin.tpl
===================================================================
--- /extensions/cuise/admin/cuise_admin.tpl	(revision 19989)
+++ /extensions/cuise/admin/cuise_admin.tpl	(revision 19990)
@@ -5,29 +5,5 @@
   	<script type="text/javascript" src="themes/cuise/admin/js/fileupload.js" ></script> 
     <link rel="stylesheet" href="themes/cuise/admin/theme.css" />
-<style type='text/css'>
-#result{ldelim}  width:auto;height:300px;
-float:right;
-right:0px;
-top:0px;
-overflow:auto;
-}
-.image{ldelim} width:55%;height:300px;
-        border:1px solid yellow;
-        min-height:300px;
-}
-.filemgt{ldelim}
-    z-index:2;
-    border:1px solid blue;
-    width:auto;
-    
-    right:0px;
-    min-height:400px;
-}
-.filemgt table td{ldelim}
-    border:1px solid green
-}
 
-
-</style>
     <script type="text/javascript">
 var process_script='{$classeRoot}process.php';
@@ -36,34 +12,4 @@
 var path_theme_images='{$theme}images/';
 
-jQuery(document).ready(function(){ldelim}
-jQuery('#fileInput').ajaxfileuploader({ldelim} 
-    SCRIPT: process_script,
-    PATH: path,
-    PATH_THEME: path_theme,
-    PATH_IMG:path_theme_images,
-    VALIDFORMAT:['jpeg','jpg','png','gif','bmp'],
-    MAXUPLOAD:9,
-    TABLEHEAD:{ldelim}
-        name:'name',
-        imgname:'image name',
-        operation:'Operation',
-       
-        }})
-});
-
-  jQuery.fn.ajaxfileuploader.defaults = {ldelim}
-    SCRIPT: process_script,
-    PATH: path,
-    PATH_THEME: path_theme,
-    PATH_IMG:path_theme_images,
-    ACTION: '',
-    VALIDFORMAT: ['jpeg', 'jpg', 'png', 'gif', 'bmp'],
-    MAXUPLOAD: 5,
-    TABLEHEAD:  {ldelim} name: 'name',
-      imgname: 'image name',
-      operation: 'Operation'
-     
-    }
-  }
 
 </script>
@@ -75,168 +21,134 @@
 <form action="" method="post">
 
-<fieldset  >
+<fieldset id="field_content" >
 	<legend>{'Color of theme'|@translate}</legend>
 	  <div id="textcolor">
-    <fieldset   ><legend>Select</legend>
-    {foreach from=$name_tpl item=name_1  name=t} 
-    <input type="submit" name="sel_tab" value="{$smarty.foreach.t.index}" ><span>{$name_1}</span> 
-    {/foreach}
+    <fieldset  id="selTab" >
+      <legend>Select</legend>
+      {foreach from=$name_tpl item=name_1  name=t} 
+      <input type="submit" name="sel_tab" value="{$smarty.foreach.t.index}" ><span>{$name_1}</span> 
+      {/foreach}
+    </fieldset>
+    <fieldset class="fld1" >
+        <legend>{$name_tpl.$ind}</legend>
+         <table> <tr >
+         <td >type</td>
+        <td style="width:50px" > </td>
+        <td>color</td>
+        <td>hover</td>
+        </tr>
+
+         <tr><td>{'Rayon'|@translate}:</td>
+          <td class="form-item">
+            <input type="text" id= "rayon_cuise" size=6 name="rayon_cuise_{$ind}" class="color" value="{$selected_rayon_cuise}" />
+          </td>
+	      <td> </td>
+        <td> </td>
+        </tr>
+
+        
+        <tr><td>{'Background'|@translate}:</td>
+        <td><input id= "chk_cuise" name="chk_cuise_{$ind}" type=checkbox  value="chk_cuise" {$selected_chk_cuise} /></td>
+           <td class="form-item">
+            <input type="text" id="bg_cuise" name="bg_cuise_{$ind}" class="colorwell" value="{$selected_bg_cuise}" />
+          </td> 
+    	    <td class="form-item">
+              <input type="text" id="bgho_cuise" name="bgho_cuise_{$ind}" class="colorwell" value="{$selected_bgho_cuise}" />
+          </td>
+          <td></td>
+          </tr>
+
+          <tr> <td>{'Border'|@translate}:</td>
+	        <td class="form-item">
+          <input type="text" id="bd_width" size="6" name="bd_width_cuise_{$ind}" class="text" value="{$selected_bd_width_cuise}" />            
+           </td>
+           <td><input type="text" id="bd_cuise" name="bd_cuise_{$ind}" class="colorwell" value="{$selected_bd_cuise}" />
+          </td>
+          <td class="form-item">
+          <input type="text" id="bdho_cuise" name="bdho_cuise_{$ind}" class="colorwell" value="{$selected_bdho_cuise}" />
+          </td>
+          </tr>
+          
+          <tr><td>{'Text color'|@translate}:</td>
+          <td></td>
+	        <td class="form-item">
+            
+            <input type="text" id="co_cuise" name="co_cuise_{$ind}" class="colorwell" value="{$selected_co_cuise}" />
+          </td>
+          <td class="form-item">
+           
+            <input type="text" id="coho_cuise"  name="coho_cuise_{$ind}" class="colorwell" value="{$selected_coho_cuise}" />
+          </td>
+          </tr>
+          </table>
+
+          <div class="form-item">
+            <label>{'Image'|@translate}:</label>
+              <label id="img_src" >{$theme}images/{$selected_img_cuise} </label> 
+              <p>
+               <label >{'repeat x'|@translate} </label> <input id="chk_cuise_x"  name="chk_cuise_x_{$ind}" type=checkbox value="chk_cuise_x" {$selected_chk_x_cuise} />
+              <label >{'repeat y'|@translate} </label> <input id="chk_cuise_y" name="chk_cuise_y_{$ind}" type=checkbox value="chk_cuise_y" {$selected_chk_y_cuise} />
+                
+        </div>
+	    <input type="submit" name="default" value="{'Default'|@translate}" >
+      
+  </fieldset>
+  <fieldset>
+      <input type="submit" name="compiled-templates" id="compiled-templates" value="{$parent}" >
+      <ul>
+        <li>{strip}{'Parent theme'|@translate}:&nbsp;
+            <select onchange="javascript:jQuery('#compiled-templates').val(this.value).click();">
+              {foreach from=$list_themes item=list_theme} 
+              <option value="{$list_theme.id}"   {if $list_theme.name==$parent }  selected="selected"  {/if } >                   {$list_theme.name} </option><br>
+              {/foreach}
+            </select>
+        {/strip}</li>
+      </ul>
+  </fieldset>
+  	   </div>
+
+ <fieldset id="fldres">
+	  <div id="picker"></div> 
+    <div id="test" class="image" ></div>
+    <div class="fondBG" style="min-height:100px" ><a href="">fondBG</a></div> 
+    <div class="fondBP"><a href="">fondBP</a></div> 
+    <div class="Menu_bar"><a href="">Menu_bar</a></div>
+    <div class="thumbnail"><a href="">thumbnail</a></div> 
+    
+ </fieldset>
+ 
+ 
+ {if $selected_chk_cuise!="checked"}	     <fieldset tyle="width:200px;align:left">
+           <div id="result"  classe="texture" >
+ </div>    
+
+   <input type="text" name="img_cuise_{$ind}" id='fileInputTxt' value="{$selected_img_cuise}" />
+	     <label>Upload</label>:<input type='file' size="60" value="{$theme}images/{$selected_img_cuise}" id='fileInput' >
+</field>
+{/if} 
 
 
-    </fieldset>
-    <fieldset class="fld1" ><legend>{$name_tpl.$ind}</legend>
+{footer_script}
 
-    	  <div class="form-item"><label>
-    {'Rayon'|@translate}:</label>
-    <input type="text" name="rayon_cuise_{$ind}" class="color" value="{$selected_rayon_cuise}" />
-    </div>
-
-	  <div class="form-item"><label>{'Background color'|@translate}:</label>
-    <input type="text" name="bg_cuise_{$ind}" class="colorwell" value="{$selected_bg_cuise}" />
-    </div>
-    	  <div class="form-item"><label>{'Background color hover'|@translate}:</label>
-    <input type="text" name="bgho_cuise_{$ind}" class="colorwell" value="{$selected_bgho_cuise}" />
-    </div>
-
-	  <div class="form-item">
-    <label>{'Border color'|@translate}:</label><input type="text" name="bd_cuise_{$ind}" class="colorwell" value="{$selected_bd_cuise}" />
-    </div>
-	  <div class="form-item">
-    <label>{'Text color'|@translate}:</label>
-    <input type="text" name="co_cuise_{$ind}" class="colorwell" value="{$selected_co_cuise}" />
-    </div>
- <div class="form-item">
-    <label>{'Text color hover'|@translate}:</label>
-    <input type="text" name="coho_cuise_{$ind}" class="colorwell" value="{$selected_coho_cuise}" />
-   </div>
+var process_script='{$classeRoot}process.php';
+var path='{$root}'
+var path_theme='{$theme}';
+var path_theme_images='{$theme}images/';
+var name_tpl = Array(
+ {foreach from=$name_tpl item=name_id name=t} 
+    '{$name_id}',
+    {/foreach}
+     'end'
+);
 
 
-   <div class="form-item">
-    <label>{'Image'|@translate}:</label>
-    
-<p>
-<label >{$theme}images/{$selected_img_cuise} </label> 
-<p>
-<label >{'repeat x'|@translate} </label> <input name="chk_cuise_x_{$ind}" type=checkbox value="chk_cuise_x" {$selected_chk_x_cuise} />
-
-
-<label >{'repeat y'|@translate} </label> <input name="chk_cuise_y_{$ind}" type=checkbox value="chk_cuise_y" {$selected_chk_y_cuise} />
-
- 
-<p>
-<p>
-<label >{'no background'|@translate} </label> <input name="chk_cuise_{$ind}" type=checkbox  value="chk_cuise" {$selected_chk_cuise} />
-   </div>
+{literal}{/literal}{/footer_script}
+</fieldset>  
+<fieldset>  
+<input type="submit" name="submit" id="send" value="{'Submit'|@translate}_{$ind}">
+<a href="themes/cuise/theme.css.php?{$params}" >Sauvegarde</a>
+</fieldset>  
+</form>
 
 
 
-
-    </fieldset>
-	  <p>  <input type="submit" name="default" value="{'Default'|@translate}" >
-  <input type="submit" name="compiled-templates" id="compiled-templates" value="{$parent}" >
-</p>
-<p>
-
-   <ul>
-   <li>{strip}{'Parent theme'|@translate}:&nbsp;
-
-<select onchange="javascript:jQuery('#compiled-templates').val(this.value).click();">
-
-{foreach from=$list_themes item=list_theme} 
-  <option value="{$list_theme.id}"   {if $list_theme.name==$parent }  selected="selected"  {/if } >{$list_theme.name} </option><br>
-{/foreach}
-
-</select>
-{/strip}</li>
-</ul>
-   </p>
-	  </div>
- 
-	  <div id="picker"></div> 
- 
-
-    <style>
-   #thePicturePage{ldelim}
-    background-color:{$selected_bg_cuise};
-    {if $selected_chk_cuise!="checked"}
-    background-image:url({$theme}images/{$selected_img_cuise}) ;
-    {else}
-      background-image:none ;
-{/if}
-      background-repeat: repeat-x;
-      float:right;
-      right:0px;
-      width:450px;
-      height:300px;
-      border:3px solid {$selected_bd_cuise};
-          
-     -moz-border-radius: {$selected_rayon_cuise} ;
-      border-radius: {$selected_rayon_cuise} {$selected_rayon_cuise}; 
-    
-    }  
-    #thePicturePage a:hover{ldelim}
-        color:{$selected_coho_cuise};  
-    }
-
-      #thePicturePage:hover{ldelim}
-          background-color:{$selected_bgho_cuise};
-          background-image:url({$theme}images/hover_{$selected_img_cuise}) ;
-          background-repeat: repeat-x;
-          
-      }
-    #theHeader a{ldelim}
-        color:{$selected_co_cuise};
-    }
-        #menubar a{ldelim}
-        color:{$selected_co_cuise};
-    }
-       .wrap1 , .wrap2 a{ldelim}
-        color:{$selected_co_cuise};
-    }
-    </style>
-
-
-    <div id="thePicturePage" class="image admin" > 
-        <div id="theHeader"   style="padding:100px" >
- <a name='test'  > {$theme}images/{$selected_img_cuise}</a> 
-        </div>
-
-        <div id="#menubar"   >
-         <dt>
-         test 1
-         </dt>
-          <dt>
-         test 2
-         </dt>
- 
-        </div>
-         <div class="wrap1" >
-
-         <div class="wrap2" >
-   
-        </div>
-    
-        </div>
-    </div>
-
- {if $selected_chk_cuise!="checked"}	  
-	   	 <label>Name</label>: 
-         <input type="text" name="img_cuise_{$ind}" id='fileInputTxt' value="{$selected_img_cuise}" />
-	     <label>Upload</label>:<input type='file' size="60" value="{$theme}images/{$selected_img_cuise}" id='fileInput' >
-         <div id="result" style="float:left" >
-       
-     </div>
-      
-
-     
-
-
-{/if}
-
-</fieldset>  
-{footer_script}{literal}
-
-{/literal}{/footer_script}
-<p><input type="submit" name="submit" id="send" value="{'Submit'|@translate}_{$ind}">
-</form>
-<a href="themes/cuise/theme.css.php?{$options}" >Sauvegarde</a>
Index: /extensions/cuise/admin/cuise_test.tpl
===================================================================
--- /extensions/cuise/admin/cuise_test.tpl	(revision 19990)
+++ /extensions/cuise/admin/cuise_test.tpl	(revision 19990)
@@ -0,0 +1,143 @@
+{html_head}
+  <script type="text/javascript" src="themes/cuise/admin/js/admin.js" ></script>
+      <link rel="stylesheet" href="themes/cuise/admin/theme.css" />
+{php}
+global $themeconf,$mytheme ,$fond_color,$conf ;  
+global $arguments;
+$mytheme = 'themes/'.$themeconf['name'].'/';
+$mycss="theme.css.php";
+load_conf_from_db();
+$params = array_merge(unserialize($conf['cuise']));
+ $keys="";
+  foreach($params as $ligne=>$id){ 
+    $id=str_replace("#","_",$id);
+    $keys .= $ligne ."=".$id ."&";    
+  }
+$args='?'.$keys."redraw=admin";
+if(file_exists( $mytheme."theme.css.css")){
+    $mycss="theme.css.css";
+    $args="";
+}
+{/php}
+
+<!-- **LOCAL** >HEADER> {php} echo $params['theme'];{/php} / {php} echo $params['parent']; {/php} -->
+<!-- link rel="stylesheet" type="text/css" href="themes/default/theme.css">
+<link rel="stylesheet" type="text/css" href="themes/default/print.css">
+<link rel="stylesheet" type="text/css" href="themes/{php} echo $params['parent']; {/php}/theme.css">
+<link rel="stylesheet" type="text/css" href="themes/{php} echo $params['theme'];{/php}/theme.css" -->
+<link rel="stylesheet" href="{php} echo  $mytheme.$mycss.$args;  {/php}"  type="text/css" /> 
+<!-- **LOCAL** >HEADER> --> 
+
+{/html_head}	
+
+<fileldset  ><legend>Rendu</legend>
+<span id="infos" > TEST </span>
+
+<fileldset id="admin" ><legend>Rendu</legend>
+<div id="thePicturePage"  > 
+ <div id="thePage" name="thePicturePage">
+    <div id="theHeader"   > <a name='test'  > {$theme}images/{$selected_img_cuise}</a>   </div>
+    <div id="menubar">
+      <dl id="mbCategories" >
+        <dt><a href="" class="pwg-state-default pwg-button menubarFilter"
+          title="n'afficher que les photos publiées récemment" rel="nofollow"><span class="pwg-icon pwg-icon-filter">
+          </span></a><a href="">Albums</a> </dt>
+        <dd>
+          <ul>
+            <li><a href="" title="2 photos dans cet album">Album Set</a>
+              <span class="menuInfoCat" title="2 photos dans cet album">[2]</span> </li>
+            <li><a href="" title="26 photos dans cet album">charlies</a>
+              <span class="menuInfoCat" title="26 photos dans cet album">[26]</span> </li>
+            <li><a href="" title="11 photos dans cet album">famille</a>
+              <span class="menuInfoCat" title="11 photos dans cet album">[11]</span> </li>
+            <li><a href="" title="6 photos dans cet album">haute_definition</a>
+              <span class="menuInfoCat" title="6 photos dans cet album">[6]</span> </li>
+            <li><a href="" title="1 photo dans cet album / 1383 photos dans 18 sous-albums">
+              Voyages</a> <span class="menuInfoCat" title="1 photo dans cet album / 1383 photos dans 18 sous-albums">             [1384]</span> </li>
+          </ul>
+          <p class="totalImages">
+            1854 photos</p>
+        </dd>
+      </dl>
+      <dl id="mbSpecials">
+        <dt>Spéciales</dt>
+        <dd>
+          <ul>
+            <li><a href="" title="afficher mes photos favorites">Mes favorites</a></li>
+            <li><a href="" title="afficher les photos les plus vues">Plus vues</a></li>
+            <li><a href="" title="afficher les photos les mieux notées">Mieux notées</a></li>
+            <li><a href="" title="afficher un ensemble de photos prises au hasard" rel="nofollow">Photos au hasard</a></li>
+            <li><a href="" title="afficher les photos les plus récentes"> Photos récentes</a></li>
+            <li><a href="" title="afficher les albums récemment mis à jour ou créés"> Albums récents</a></li>
+            <li><a href="" title="affichage année par année, mois par mois, jour par jour" rel="nofollow">Calendrier</a></li>
+          </ul>
+        </dd>
+      </dl>
+
+   </div> <!--menubar -->
+
+<div id="content" class="content contentWithMenu">
+<div class="titrePage">
+	<ul class="categoryActions">
+		<li><a href="" title="afficher à plat les photos des albums et des sous-albums" class="pwg-state-default pwg-button" rel="nofollow">
+    <span class="pwg-icon pwg-icon-category-view-flat">&nbsp;</span>
+    <span class="pwg-button-text">afficher à plat les photos des albums et des sous-albums</span></a>
+    </li>
+
+		<li><a href="" title="afficher un calendrier par date d'ajout" class="pwg-state-default pwg-button" rel="nofollow"><span class="pwg-icon pwg-icon-calendar">&nbsp;</span><span class="pwg-button-text">Calendrier</span></a></li>
+
+		<li><a href="" title="afficher un calendrier par date de création" class="pwg-state-default pwg-button" rel="nofollow"><span class="pwg-icon pwg-icon-camera-calendar">&nbsp;</span><span class="pwg-button-text">Calendrier</span></a></li>
+
+<li><a id="icon_gmaps"
+   class="button size28x28"
+   style="display:inline-block;background:url(plugins/GMaps/img/i28x28_1.png);width:28px;height:28px;"
+   title="Localiser la photo sur une carte"
+   href=''
+   onclick='$("#iGMapsIconContent").dialog("open"); return(false);'></a>
+</li>
+  
+   
+	</ul>
+
+<h2><a href="">Accueil</a></h2>
+</div> <!--  titrePage -->
+
+<ul class="thumbnailCategories">
+    <li class="even">
+      <div class="thumbnailCategory">
+        <div class="illustration">
+          <a href="">
+            <img src="themes/cuise/admin/images/20100907133435-b82907c5-th.jpg" alt="Album Set"
+              title="Album Set - montre les photos à la racine de cet album">
+          </a>
+        </div>
+        <div class="description">
+          <h3>
+            <a href="">Album Set</a>
+          </h3>
+          <div class="text">
+            <p class="Nb_images">
+              2 photos</p>
+          </div>
+        </div>
+      </div>
+    </li>
+</ul>
+
+<ul id="thumbnails" class="thumbnails">
+<li><span class="wrap1">
+<span class="wrap2">
+<a href=".">
+<img class="thumbnail" title="Photo  20100815 (14 visites, score 0.00) &#13;&#10;&#9;Bonjour&#13;&#10;TEST 12356 23456para..." alt="Photo  20100815" src="themes/cuise/admin/images/20110331152453-0fc233a9-th.jpg" ></a>
+</span><span class="thumbLegend">
+<span class="thumbName">Photo  20100815</span></span></span>
+</li>
+
+</ul>
+</div> <!--content-->
+  </div> <!-- thePage -->
+</div> <!-- thePicturePage -->
+
+
+</fieldset>
+</fieldset>
Index: /extensions/cuise/admin/cuise_texture.tpl
===================================================================
--- /extensions/cuise/admin/cuise_texture.tpl	(revision 19989)
+++ /extensions/cuise/admin/cuise_texture.tpl	(revision 19990)
@@ -12,5 +12,5 @@
 }
 .image{ldelim} width:55%;height:300px;
-        border:1px solid yellow;
+        border:5px solid grey;
         min-height:300px;
 }
@@ -78,8 +78,8 @@
 	    <fieldset >
         <fieldset >
-        <div id="result" class="texture">
+        <div id="result" class="texture" >
 
         </div>
-        <div id='queuearea' class="image texture">
+        <div id='queuearea' class="image texture" >
         
         </div> 
Index: /extensions/cuise/admin/index.php
===================================================================
--- /extensions/cuise/admin/index.php	(revision 19990)
+++ /extensions/cuise/admin/index.php	(revision 19990)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
